(******************************************************************)
(* ACM ICPC 2012-2013                                             *)
(* Northeastern European Regional Contest                         *)
(* St Petersburg - Barnaul - Tashkent - Tbilisi, December 2, 2012 *)
(******************************************************************)
(* Problem A. Addictive Bubbles                                   *)
(*                                                                *)
(* Original idea         Georgiy Korneev                          *)
(* Problem statement     Georgiy Korneev                          *)
(* Test set              Georgiy Korneev                          *)
(******************************************************************)
(* Solution                                                       *)
(*                                                                *)
(* Author                Alexander Klenin                         *)
(******************************************************************)

{$MODE objfpc}{$COPERATORS ON}{$OPTIMIZATION LEVEL2}{$R+}{$ASSERTIONS ON}
uses
  StrUtils;
var
  i, x, y: Integer;
  h, w: 1..10;
  c: 1..9;
  cc: array of Integer;
  s: String;
begin
  AssignFile(input, 'addictive.in'); Reset(input);
  AssignFile(output, 'addictive.out'); Rewrite(output);
  Read(h, w, c);
  SetLength(cc, c);
  for i := 0 to High(cc) do Read(cc[i]);
  i := 0;
  for y := 1 to h do begin
    s := '';
    for x := 1 to w do begin
      while cc[i] = 0 do i += 1;
      s += Chr(Ord('1') + i);
      cc[i] -= 1;
    end;
    Writeln(IfThen(y mod 2 = 1, s, ReverseString(s)));
  end;
  Assert((i = High(cc)) and (cc[i] = 0));
end.

